curl -X POST https://api-verifier-2.onrender.com/web-register \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Doe",
"email": "user@example.com",
"password": "securepassword123"
}'
{
"message": "Registered successfully",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
{
"message": "User already exists"
}
Authentication
Register
Create a new user account
POST
/
web-register
curl -X POST https://api-verifier-2.onrender.com/web-register \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Doe",
"email": "user@example.com",
"password": "securepassword123"
}'
{
"message": "Registered successfully",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
{
"message": "User already exists"
}
Request body
string
required
User’s first name
string
required
User’s last name
string
required
User’s email address
string
required
User’s password (minimum 6 characters)
Response
string
Success message
string
JWT authentication token
curl -X POST https://api-verifier-2.onrender.com/web-register \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Doe",
"email": "user@example.com",
"password": "securepassword123"
}'
{
"message": "Registered successfully",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
{
"message": "User already exists"
}